LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::configuration::backend::SchemaAttribute Constant Group Referencepublished

These values are used to specify the behavior of a node or property in the schema. More...

## Variables
const short | REQUIRED = 1
| indicates that a property value can't be null. More...
const short | LOCALIZED = 2
| indicates that the content of the node or the value of the property may depend on the locale. More...
const short | EXTENSIBLE = 4
| indicates that properties can be added to the node at runtime More...
const short | MASK = 255
| can be used to mask the schema attributes from merged attributes More...

## Detailed Description

These values are used to specify the behavior of a node or property in the schema.

See also
  com::sun::star::configuration::backend::NodeAttribute During merging the values may be combined with node attributes.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ EXTENSIBLE

const short EXTENSIBLE = 4

indicates that properties can be added to the node at runtime

## ◆ LOCALIZED

const short LOCALIZED = 2

indicates that the content of the node or the value of the property may depend on the locale.

## ◆ MASK

const short MASK = 255

can be used to mask the schema attributes from merged attributes

## ◆ REQUIRED

const short REQUIRED = 1

indicates that a property value can't be null.